Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsxe.dom.completion
Class ElementDecl

    java.lang.Object
      net.sourceforge.jsxe.dom.completion.ElementDecl

public class ElementDecl
extends Object

Nested Class Summary
`static class` | `ElementDecl.AttributeDecl`
`static class` | `ElementDecl.Compare`

Field Summary
`boolean` | `any`
`CompletionInfo` | `completionInfo`
`Set` | `content`
`boolean` | `empty`
`String` | `name`

Constructor Summary
`ElementDecl(CompletionInfo completionInfo, String name, boolean empty, boolean any, List attributes, Map attributeHash, Set content)`
`ElementDecl(CompletionInfo completionInfo, String name, String content)`

Method Summary
`void` | `addAttribute(ElementDecl.AttributeDecl attribute)`
`ElementDecl.AttributeDecl` | `getAttribute(String name)`
`List` | `getAttributes()` Gets all the attribute declarations for this element
`List` | `getChildElements(String prefix)`
`String` | `getRequiredAttributesString()`
`void` | `setContent(String content)`
`String` | `toString()`
`ElementDecl` | `withPrefix(String prefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### completionInfo

    public CompletionInfo completionInfo

### name

    public String name

### empty

    public boolean empty

### any

    public boolean any

### content

    public Set content

Constructor Detail

### ElementDecl

    public ElementDecl(CompletionInfo completionInfo,
                       String name,
                       String content)

### ElementDecl

    public ElementDecl(CompletionInfo completionInfo,
                       String name,
                       boolean empty,
                       boolean any,
                       List attributes,
                       Map attributeHash,
                       Set content)

Method Detail

### setContent

    public void setContent(String content)

### withPrefix

    public ElementDecl withPrefix(String prefix)

### getChildElements

    public List getChildElements(String prefix)

### getAttribute

    public ElementDecl.AttributeDecl getAttribute(String name)

### addAttribute

    public void addAttribute(ElementDecl.AttributeDecl attribute)

### getAttributes

    public List getAttributes()

  Gets all the attribute declarations for this element

  Returns:
    a list of AttributeDecl objects

### getRequiredAttributesString

    public String getRequiredAttributesString()

### toString

    public String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD